#ifndef ONTIMECHECK_H_
#define ONTIMECHECK_H_


#include "gType.h" 
#include "GraphBase.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "EditML.h"
#include "CtlPanel1.h"

class TOnTimeCheck{
	public:
		TStaticText Caption;
	
		u32 Color;
	
		TRect Bound;	
		TRect Content;
		TRect RectPanel;
		class TCtlPanel1 *aPanel;
		unsigned char CtlIndexTab;
		unsigned char CtlIndex;
		unsigned char IsProgram;
		unsigned char KeyCount;
	public:
		TOnTimeCheck(){};
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
		void RenderBackGround(void);
		void DelayMs(unsigned int aMs);

		void RenderBackGround(unsigned int aClr);
		void RenderContent(void);
		void DrawSelf(void);
		void DrawCaption(void);
		void Show();
		void FullRedraw(int Prm);
			
		void ShowPath();	
		void LoadData();
		void SaveData();
			
		void Check4Selected();

		void InitPanel();
			
		TGuiMsgReturn KeyIn(unsigned char aKey);

		int ExtRequst(unsigned char Prm){return 0;}
};



































#endif
